Bug 14913 - eepro driver (for Intel Ether Express Pro 10+) locks up
eepro driver (for Intel Ether Express Pro 10+) locks up
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Cox
Depends On:
  Show dependency treegraph
Reported: 2000-07-31 16:05 EDT by Mr. Grace
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-14 19:32:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
eepro driver patch in our current kernel tree, from pre17 (4.21 KB, patch)
2000-08-18 17:38 EDT, Michael K. Johnson
no flags Details | Diff

  None (edit)
Description Mr. Grace 2000-07-31 16:05:18 EDT
The eepro driver (eepro.c)  locks up shortly after use.
Discovered on an Intel Ether Express ISA card as the 2nd nic.

Kernel is 2.2.16-3 custom rolled a number of times to see if would work correctly
1) with eepro as module
2) with eepro compiled into the kernel.

From dmesg:
Linux version 2.2.16-3 (root@locahost) (gcc version egcs-2.91.66
19990314/Linux (egcs-1.1.2 release)) #1 Sat Jul 29 21:29:43 EDT 2000
Detected 132958 kHz processor.
eth0: RealTek RTL8139 Fast Ethernet at 0x6400, IRQ 9, 00:00:b4:90:8b:a4.
 id: 0x64  io: 0x210 eth1: Intel EtherExpress Pro/10+ ISA
 at 0x210, 00:a0:c9:eb:82:bc, IRQ 3, 10BaseT.
eth1: set Rx mode to 1 address.
eth1: set Rx mode to 1 address.
eth1: set Rx mode to 1 address.
eth1: carrier error
eth1: XMT status = 0xc4f9
eth1: carrier error
eth1: XMT status = 0x5516
eth1: carrier error
eth1: XMT status = 0x5532

EtherExpress (using eepro) is eth1:

eth0      Link encap:Ethernet  HWaddr 00:00:B4:90:8B:A4  
          inet addr:  Bcast:  Mask:
          UP BROADCAST RUNNING  MTU:1500  Metric:1
          RX packets:3601 errors:0 dropped:0 overruns:0 frame:0
          TX packets:3432 errors:0 dropped:0 overruns:0 carrier:0
          collisions:139 txqueuelen:100 
          Interrupt:9 Base address:0x6400 

eth1      Link encap:Ethernet  HWaddr 00:A0:C9:EB:82:BC  
          inet addr:  Bcast:  Mask:
          RX packets:3374 errors:0 dropped:0 overruns:0 frame:0
          TX packets:223 errors:5 dropped:0 overruns:0 carrier:11
          collisions:32 txqueuelen:100 
          Interrupt:3 Base address:0x210 

lo        Link encap:Local Loopback  
          inet addr:  Mask:
          UP LOOPBACK RUNNING  MTU:3924  Metric:1
          RX packets:1019 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1019 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 

Is there a patch to fix this?
Peter Grace kb1cvh@arrl.net
Comment 1 Mr. Grace 2000-08-01 16:21:51 EDT
Sorry - I sent to this bug report to block device in error. Should have been assisgned to net.
Can you reassign? thanks,
Comment 2 Michael K. Johnson 2000-08-04 16:25:42 EDT
Alan, have you seen this?
Comment 3 Alan Cox 2000-08-04 18:47:59 EDT
Seen similar: Thge 2.2.17pre eepro driver is the one you want, at least acme
claims its fixed 8)
Comment 4 Mr. Grace 2000-08-04 19:00:26 EDT
Any suggestions on where I can get the 2.2.17pre eepro driver or, do I have to
patch my whole 2.2.16 kernel source? 

If recommended -  how do I patch the redhat 2.2.16-3 kernel source - I tried
before using the patch from kernel.org but id didn't like it - I think it was
looking for "linux vanilla".
Peter kb1cvh@arrl.net
Comment 5 Alan Cox 2000-08-04 19:09:13 EDT
Wait for the updated kernel rpms ?
Comment 6 Mr. Grace 2000-08-04 19:28:14 EDT
Mandrakesoft just released some. I'll try that.
Thanks for your help!
Comment 7 Mr. Grace 2000-08-05 09:11:09 EDT
 I built a kernel from the MDK 2.2.17-0.16mdk source. The eepro driver seems to
work 'better'. Less frequent lock up requiring ifconfig eth1 down;ifconfig eth1
up, but that still happens.  No errors in dmesg or log/messages.
I expectto replace the card with a 3com one shortly so it's liveable.

As this is a pre 2.2.17 kernel, I may try replacing the eepro.c module in the
2.2.16 source with the one from 2.2.17 so that I can take advantage of IPSEC
masquerading which hasn't been inserted into the 2.2.17pre0.16 kernel yet.

Thanks, Peter kb1cvh@arrl.net
Comment 8 Michael K. Johnson 2000-08-18 17:38:21 EDT
Created attachment 2680 [details]
eepro driver patch in our current kernel tree, from pre17

Note You need to log in before you can comment on or make changes to this bug.